Skip to main content
POST
/
hotels
/
min-rates
Retrieve minimum rate for hotels
curl --request POST \
  --url https://api.staging.rovemiles.com/functions/v1/hotels/min-rates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hotelIds": [
    "hotel123",
    "hotel456",
    "hotel789"
  ],
  "checkin": "2023-12-15",
  "checkout": "2023-12-20",
  "occupancies": [
    {
      "adults": 2,
      "children": [
        5,
        9
      ]
    }
  ],
  "guestNationality": "US"
}
'
{
  "data": [
    {
      "hotelId": "RM42853",
      "minRate": {
        "amount": 29500,
        "originalAmount": 295,
        "originalCurrency": "USD",
        "roomName": "Deluxe King Room",
        "boardType": "RO",
        "boardName": "Room Only",
        "refundable": true
      }
    },
    {
      "hotelId": "RM36721",
      "minRate": {
        "amount": 18750,
        "originalAmount": 187.5,
        "originalCurrency": "USD",
        "roomName": "Studio Suite",
        "boardType": "BB",
        "boardName": "Bed & Breakfast",
        "refundable": true
      }
    },
    {
      "hotelId": "RM51908",
      "minRate": {
        "amount": 12500,
        "originalAmount": 125,
        "originalCurrency": "USD",
        "roomName": "Standard Queen Room",
        "boardType": "BB",
        "boardName": "Bed & Breakfast",
        "refundable": false
      }
    }
  ],
  "sandbox": false
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Body

application/json
hotelIds
string[]
required

Array of hotel IDs to get minimum rates for. These IDs come from the /hotels/list endpoint.

Required array length: 1 - 5000 elements
Example:
["hotel123", "hotel456", "hotel789"]
checkin
string<date>
required

Check-in date (YYYY-MM-DD)

Example:

"2023-12-15"

checkout
string<date>
required

Check-out date (YYYY-MM-DD)

Example:

"2023-12-20"

occupancies
object[]
required

Occupancy details for each room

Example:
[{ "adults": 2, "children": [5, 9] }]
guestNationality
string

Guest nationality in ISO 2-letter country code format

Pattern: ^[A-Z]{2}$
Example:

"US"

Response

Successfully retrieved minimum hotel rates

data
object[]
sandbox
boolean

Indicates if the request was processed in sandbox mode